extends Node2D

@export var uid := ""
@export var use_door_sound:AudioStreamWAV
@export var unlock_sound:AudioStreamWAV

var is_locked := true

func unlock(instantly:bool = false) -> void:
	if is_locked:
		is_locked = false		
		if instantly:
			pass
		else:
			$DoorAnimation.play("unlock_door")

func __disable_collision() -> void: # Called by animation when unlocking
	$DoorBody.process_mode = Node.PROCESS_MODE_DISABLED
